package com.ruoyi.system.mapper.zb;


import com.ruoyi.system.domain.zb.ZbDutyWorkRule;
import com.ruoyi.system.domain.zb.ZbDutyWorkRuleExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ZbDutyWorkRuleMapper {
    long countByExample(ZbDutyWorkRuleExample example);

    int deleteByExample(ZbDutyWorkRuleExample example);

    int deleteByPrimaryKey(String id);

    int insert(ZbDutyWorkRule record);

    int insertSelective(ZbDutyWorkRule record);

    List<ZbDutyWorkRule> selectByExample(ZbDutyWorkRuleExample example);

    ZbDutyWorkRule selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") ZbDutyWorkRule record, @Param("example") ZbDutyWorkRuleExample example);

    int updateByExample(@Param("record") ZbDutyWorkRule record, @Param("example") ZbDutyWorkRuleExample example);

    int updateByPrimaryKeySelective(ZbDutyWorkRule record);

    int updateByPrimaryKey(ZbDutyWorkRule record);
}